<?= $this->extend('admin/template/template') ?>

<?= $this->section('content') ?>
<section>
<div class="container-fluid">
<div class="row justify-content-center">

	<div class="col-md-6 shadow rounded-bottom p-5">
        <!-- > Breadcrumb -->
		<nav style="--bs-breadcrumb-divider: url(&#34;data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='8' height='8'%3E%3Cpath d='M2.5 0L1 1.5 3.5 4 1 6.5 2.5 8l4-4-4-4z' fill='%236c757d'/%3E%3C/svg%3E&#34;);" aria-label="breadcrumb">
			<ol class="breadcrumb">
				<li class="breadcrumb-item"><?=anchor('/cliente/painel/'.$clienteDetalhe['id_cliente'],'Voltar')?></li>
			</ol>
		</nav>
		<!-- # end breadcrumb -->
		<!-- > Conteudo -->
		<h2>Detalhe do cliente</h2>
		<?php
		
		$validation = \Config\Services::validation();

		echo form_open('clienteDetalhe/edita/'.$clienteDetalhe['id_clientedetalhe']);
			// input name
			echo form_label('<br>','input_atributo');
			echo form_input('input_atributo', ($clienteDetalhe['clidet_atributo'])? $clienteDetalhe['clidet_atributo'] : '','class="form-control" placeholder="Atributo*"');
			// <!-- name Error -->
			if($validation->getError('input_atributo')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_atributo'); ?>
				</div><?php 
			}
			// input descrição
			echo form_label('<br>','input_descricao');
			echo form_textarea('input_descricao', ($clienteDetalhe['clidet_descricao'])? $clienteDetalhe['clidet_descricao'] : '','class="form-control" placeholder="Informação*"');
			// <!-- name Error -->
			if($validation->getError('input_descricao')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_descricao'); ?>
				</div><?php 
			}
			// input publico
            $marcado = ($clienteDetalhe['clidet_publico']==1)? TRUE : FALSE;
			$input_publico = [
				'name'    => 'input_publico',
				'id'      => 'input_publico',
				'value'   => '1',
				'checked' => $marcado,
				'class'   => 'form-check-input mt-3 me-2',
			];
			echo form_checkbox($input_publico);
			echo form_label('Público','input_publico',['class'=>'form-check-label mt-3']);
			// <!-- name Error -->
			if($validation->getError('input_publico')) { ?>
				<div class='alert alert-danger mt-2'>
				  <?= $validation->getError('input_publico'); ?>
				</div><?php 
			}
			// confirmar envio
			echo csrf_field();
			echo form_hidden('id_cliente',$clienteDetalhe['id_cliente']);
			echo form_submit('enviar','Editar Detalhe','class="btn btn-primary w-100 mt-3"');
			echo '<p class="mt-3 small">* Campos necessários</p>';
		echo form_close();

		?>
	</div>

</div>
</div>
</section>
<?= $this->endSection() ?>